void printi(int val);

int main()
{
  char a;
  unsigned char b;
  int i;

  for (a = -80; a <= 80; a += 40) {
    for (b = -80; (char)b <= 80; b += 40) {
      i = a; i += b; printi(i);
      i = a; i -= b; printi(i);
      i = a; i *= b; printi(i);
      if (b != 0) {
	i = a; i /= b; printi(i);
	i = a; i %= b; printi(i);
      }
      i = a; i &= b; printi(i);
      i = a; i |= b; printi(i);
      i = a; i ^= b; printi(i);
      i = a; i <<= b; printi(i);
      i = a; i >>= b; printi(i);
    }
  }

  return 0;
}
